/* "Enable debug code features" */
#ifdef _DEBUG
#define DEBUG 1
#endif 

#define IL_UNICODE 1
#if IL_UNICODE
#define _UNICODE 1
#define UNICODE 1
#endif

/* Define to 1 if you have the `z' library (-lz). */
/* #undef HAVE_LIBZ */

/* Define to 1 if you have the <OpenGL/glu.h> header file. */
/* #undef HAVE_OPENGL_GLU_H */

/* Define to 1 if you have the <OpenGL/gl.h> header file. */
/* #undef HAVE_OPENGL_GL_H */

/* Define if you have POSIX threads libraries and header files. */
#define HAVE_PTHREAD 1

#define HAVE_WIN32THREAD (defined(WIN32))

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
/* #undef HAVE_SYS_TYPES_H */

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Use nonstandard varargs form for the GLU tesselator callback */
/* #undef HAVE_VARARGS_GLU_TESSCB */

/* Define to 1 if you have the <windows.h> header file. */
#define HAVE_WINDOWS_H 1

/* Define if you want to build ILU part of DevIL (used in DevIL
   examples/tests) */
#define ILU_ENABLED 1

/* #undef IL_STATIC_LIB */
#define IL_THREAD_SAFE 1

#ifdef IL_THREAD_SAFE
   #ifdef HAVE_PTHREAD
      #define IL_THREAD_SAFE_PTHREAD 1
   #else
      #ifdef WIN32
         #define IL_THREAD_SAFE_WIN32 1
      #endif
   #endif
#endif

/* Formats ------------------------------------------------------------------ */

/* blp support (BLP is the texture format for Blizzard games.) */
/* #undef IL_NO_BLP */

/* bmp support (BMP is a standard Windows bitmap.) */
/* #undef IL_NO_BMP */

/* dcx support (DCX is a multi-page PCX file.) */
/* #undef IL_NO_DCX */

/* dds support (DDS (DirectDraw Surface) is used by DirectX to load images
   (usually DXTC).) */
/* #undef IL_NO_DDS */

/* dicom support (DICOM (Digital Imaging and Communications in Medicine) is
   used extensively in medical imaging.) */
/* #undef IL_NO_DICOM */

/* #undef IL_NO_DOOM */

/* exr support (EXR is a HDR image file format standardized by Industrial
   Light and Magic. OpenEXR powered) */
/* #undef IL_NO_EXR */

/* fits support (FITS (Flexible Image Transport System) is used for storing
   scientific images and is used extensively in astronomy.) */
/* #undef IL_NO_FITS */

/* #undef IL_NO_FTX */

/* gif support (GIF is lossy and proprietary format used mainly to make
   animations) */
/* #undef IL_NO_GIF */

/* hdr support (HDR is the Radiance High Dynamic Range format, using more bits
   per channel than normal.) */
/* #undef IL_NO_HDR */

/* icns support (ICNS is the icon format for the Mac OS X operation system.)
   */
/* #undef IL_NO_ICNS */

/* icon support (ICO is the icon format for the Windows operating system.) */
/* #undef IL_NO_ICON */

/* iff support (IFF (Interchange File Format) is used to transfer images
   between software from different companies.) */
/* #undef IL_NO_IFF */

/* ilbm support (ILBM (Amiga Interleaved BitMap Format).) */
/* #undef IL_NO_ILBM */

/* iwi support (IWI is the Infinity Ward Image format used in the Call of Duty
   games.) */
/* #undef IL_NO_IWI */

/* jp2 support (JP2 (JPEG 2000) is a better, but not so widespread,
   alternative to JPEG. JasPer powered) */
/* #undef IL_NO_JP2 */

/* jpeg support (JPEG is most common lossy format. libjpeg powered) */
/* #undef IL_NO_JPG */

/* lcms support () */
/* #undef IL_NO_LCMS */

/* lif support (LIF is the image format of the game Homeworld.) */
/* #undef IL_NO_LIF */

/* mdl support (MDL is the format for models in the game Half-Life.) */
/* #undef IL_NO_MDL */

/* mng support (MNG is basically the animated version of PNG but is not
   widespread.) */
#define IL_NO_MNG

/* mp3 support (MP3 (MPEG-1 Audio Layer 3) sometimes have images in them, such
   as cover art.) */
/* #undef IL_NO_MP3 */

/* pcd support (PCD is the Kodak PhotoCD format.) */
/* #undef IL_NO_PCD */

/* pcx support (PCX is one of the first widely accepted DOS imaging standards)
   */
/* #undef IL_NO_PCX */

/* pic support (PIC is used by SoftImage software.) */
/* #undef IL_NO_PIC */

/* pix support () */
/* #undef IL_NO_PIX */

/* png support (PNG is a smart, loseless and even open format. libpng
   powered.) */
/* #undef IL_NO_PNG */

/* pnm support (PNM (Portable aNy Map format) is considered the
   least-common-denominator for converting pixmap, graymap, or bitmap files
   between different platforms.) */
/* #undef IL_NO_PNM */

/* psd support (PSD is the PhotoShop native file format.) */
/* #undef IL_NO_PSD */

/* psp support (PSP is the Paint Shop Pro native file format.) */
/* #undef IL_NO_PSP */

/* pxr support (PXR is used by Pixar.) */
/* #undef IL_NO_PXR */

/* raw support (RAW is simply raw data.) */
/* #undef IL_NO_RAW */

/* rot support (ROT is the image format for the game Homeworld 2.) */
/* #undef IL_NO_ROT */

/* sgi support (SGI is the native raster graphics file format for Silicon
   Graphics workstations) */
/* #undef IL_NO_SGI */

/* sun support (SUN is the image format used on Sun's operating systems.) */
/* #undef IL_NO_SUN */

/* texture support (TEXTURE is the format used in Medieval II: Total War
   (similar to DDS).) */
/* #undef IL_NO_TEXTURE */

/* tga support (TGA (aka TARGA file format) has been used mainly in games. It
   is open and simple.) */
/* #undef IL_NO_TGA */

/* tiff support (TIFF is a lossless format supporting greater color depths.
   libtiff powered) */
/* #undef IL_NO_TIF */

/* tpl support (TPL is the format used by many GameCube and Wii games.) */
/* #undef IL_NO_TPL */

/* utx support (UTX is the format used in the Unreal Tournament game series.)
   */
/* #undef IL_NO_UTX */

/* vtf support (VTF (Valve Texture Format) is used by games based on Valve's
   Source engine.) */
/* #undef IL_NO_VTF */

/* doom support (WAD is the format for graphics in the original DooM I/II.) */
/* #undef IL_NO_WAD */

/* wal support (WAL is the image format used for the game Quake 2.) */
/* #undef IL_NO_WAL */

/* wbmp support (WBMP (Wireless Application Protocol Bitmap) is a monochrome
   graphics file format optimized for mobile computing devices) */
/* #undef IL_NO_WBMP */

/* wdp support (WDP is Microsoft's successor to JPEG, able to store many
   different image types either lossy or losslessly, also known as HD Photo.)
   */
#define IL_NO_WDP

#if !defined(_WIN32)
   /* The Microsoft HD Photo Device Porting Kit has not been ported to anything other
    * than Windows yet, so we disable this if Windows is not the current platform.
    */
   #define IL_NO_WDP
#endif /* _WIN32 */

/* xpm support (XPM (X PixMap) is an ASCII-based image used in the X Window System.) */
/* #undef IL_NO_XPM */

/* Google Skia library support */
#define IL_NO_SKIA

/* LCMS include without lcms/ support */
#define LCMS_NODIRINCLUDE

/* If we do not want support for game image formats, this define removes them all. */
/* #undef IL_NO_GAMES */

#ifdef IL_NO_GAMES
   #define IL_NO_BLP
   #define IL_NO_DOOM
   #define IL_NO_FTX
   #define IL_NO_IWI
   #define IL_NO_LIF
   #define IL_NO_MDL
   #define IL_NO_ROT
   #define IL_NO_TPL
   #define IL_NO_UTX
   #define IL_NO_WAL
#endif /* IL_NO_GAMES */

/* If we want to compile without support for formats supported by external libraries,
 * this define will remove them all. */
/* #undef IL_NO_EXTLIBS */

#ifdef IL_NO_EXTLIBS
   #define IL_NO_EXR
   #define IL_NO_JP2
   #define IL_NO_JPG
   #define IL_NO_LCMS
   #define IL_NO_MNG
   #define IL_NO_PNG
   #define IL_NO_TIF
   #define IL_NO_WDP
   #undef IL_USE_DXTC_NVIDIA
   #undef IL_USE_DXTC_SQUISH
#endif /* IL_NO_EXTLIBS */

/* X86_ASM assembly found */
#define GCC_X86_ASM

/* Define if you can support at least some ASM */
#define IL_INLINE_ASM

/* define if you have memalign memory allocation */
/* #undef MEMALIGN */

/* define if you have mm_malloc.h header */
/* #undef MM_MALLOC */

/* define if you have posix_memalign memory allocation */
/* #undef POSIX_MEMALIGN */

/* define if you have valloc memory allocation */
/* #undef VALLOC */


/* Define to 1 if your processor stores words with the most significant byte
   first (like Motorola and SPARC, unlike Intel and VAX). */
/* #undef WORDS_BIGENDIAN */

/* restric keyword available */
#define RESTRICT_KEYWORD 1

/* SSE extension found */
#define SSE

/* SSE2 extension found */
#define SSE2

/* SSE3 extension found */
#define SSE3

/* TODO */
#if 0

/* Define if you have nvidia texture tools library installed */
/* #undef IL_USE_DXTC_NVIDIA */

/* Define if you have libsquish installed */
/* #undef IL_USE_DXTC_SQUISH */

/* Memory must be vector aligned */
/* #undef VECTORMEM */

/* Define to 1 if you have the ANSI C header files. */
/* #undef STDC_HEADERS */

/* Define to 1 if the X Window System is missing or not being used. */
/* #undef X_DISPLAY_MISSING */
#endif
